> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count workflow variables matching filter



## OpenAPI

````yaml /openapi/workflows.json post /workflows/variables/count
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/variables/count:
    post:
      tags:
        - Workflows
      summary: Count workflow variables matching filter
      operationId: workflows.variables.count
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    search:
                      type: string
                      minLength: 1
                      maxLength: 200
                      description: Search
                    id:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: ID
                    name:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Name
                    type:
                      anyOf:
                        - enum:
                            - string
                            - number
                            - boolean
                            - date
                            - timestamp
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - string
                                - number
                                - boolean
                                - date
                                - timestamp
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - string
                                  - number
                                  - boolean
                                  - date
                                  - timestamp
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - string
                                  - number
                                  - boolean
                                  - date
                                  - timestamp
                                type: string
                      description: Type
                    description:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Description
                    referenceDate:
                      anyOf:
                        - type: string
                          format: date
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date
                            gt:
                              type: string
                              format: date
                            gte:
                              type: string
                              format: date
                            lt:
                              type: string
                              format: date
                            lte:
                              type: string
                              format: date
                      description: Reference Date
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    updatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Updated At
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````